Migration vers 2.5 chez OVH

Réduire
Ce sujet est fermé.
X
X
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • [RÉGLÉ] Migration vers 2.5 chez OVH

    Bonjour,

    Je suis en train d'essayer de faire migration à serveur distance chez ovh. (avec navigator chrome, comme migration en local)
    version actuelle : 1.5.26
    Plugins Mootools activé
    jUpgrade choisi : http://extensions.joomla.fr/extensio...gration-joomla

    Mais l'étape "Migration des données joomla" s'arrete et indiqué "Migration underfinded" comme la photo en dessous.

    J'ai déjà fait migration en local et cela a bien marché...

    Je ne comprends pas pourquoi cela a marché en local et cela ne marche pas chez ovh... et j'ai besoins de vos aides...

    Cliquez sur l'image pour l'afficher en taille normale

Nom : Capturer.JPG 
Affichages : 1 
Taille : 80,1 Ko 
ID : 1819356
    Dernière édition par packmann à 26/06/2013, 15h10

  • #2
    Re : Migration vers 2.5 chez OVH

    Modifie les paramètres et active le débogage de jUpgrade afin de savoir ce qui bloque.
    Après avoir modifié et validé ces paramètres, change de page, puis reviens sur jUpgrade pour lancer de nouveau la migration, au bas de ta fenêtre, tu pourras savoir sur quel type de données ça bloque.
    "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide). MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info hébergés chez PHPNET - +sites gérés chez 1and1 et OVH - Site pro : www.robertg-conseil.fr

    Commentaire


    • #3
      Re : Migration vers 2.5 chez OVH

      Bonjour, RobertG!!

      Merci de la réponse aussi rapide comme d'habitude!!!

      Il s'affiche comme ceci:

      Migration categories
      Warning: mysqli_ping() [function.mysqli-ping]: Couldn't fetch mysqli in /homez.168/www/site/nouveau_site/libraries/joomla/database/database/mysqli.php on line 190

      Cliquez sur l'image pour l'afficher en taille normale

Nom : Capturer.jpg 
Affichages : 1 
Taille : 144,0 Ko 
ID : 1802885
      Dernière édition par packmann à 26/06/2013, 15h39

      Commentaire


      • #4
        Re : Migration vers 2.5 chez OVH

        Quelle est la version du moteur de ta base de données distante ? (dans les infos système de l'administration de ton site 1.5)
        "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide). MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info hébergés chez PHPNET - +sites gérés chez 1and1 et OVH - Site pro : www.robertg-conseil.fr

        Commentaire


        • #5
          Re : Migration vers 2.5 chez OVH

          Si j'ai compris la question...

          Il est indiqué version "MySQL 5.1" sur la page de "gestion SQL" de chez ovh.

          Commentaire


          • #6
            Re : Migration vers 2.5 chez OVH

            Il semblerait que tu n'aies pas laissé les paramètres de suppression des précédentes migrations, dans le paramétrage de jUpgrade, ce qui provoque les erreurs de duplicate entry.
            Règle ça d'abord.
            "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide). MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info hébergés chez PHPNET - +sites gérés chez 1and1 et OVH - Site pro : www.robertg-conseil.fr

            Commentaire


            • #7
              Re : Migration vers 2.5 chez OVH

              Supprimer les tables qui sont inserés au moment de upgrade comme en local, et ressayage avec parametre active le débogage, d'accord!!
              Je reviens vite!!

              Commentaire


              • #8
                Re : Migration vers 2.5 chez OVH

                ToT

                Il s'arrete à l'étape "vérification et nettoyage" en indiquant un message :

                [verification]

                401: jupgrade_categories table not exist

                car je viens de supprimer cette table et j'ai croché à
                Effacer la précédente migration Non
                comme parametre de jUpgrade.

                C'est à cause de ça...??

                Commentaire


                • #9
                  Re : Migration vers 2.5 chez OVH

                  Dans les paramètres de jUpgrade, au début de la fenêtre, tu dois demander à ce que les précédentes migrations soient supprimées, car à voir ton image, jUpgrade tente plusieurs fois d'insérer un utilisateurs déjà présent dans la table.
                  Tu peux aussi supprimer manuellement toutes les tables à préfixe "jnew_", mais c'est fastidieux !
                  "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide). MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info hébergés chez PHPNET - +sites gérés chez 1and1 et OVH - Site pro : www.robertg-conseil.fr

                  Commentaire


                  • #10
                    Re : Migration vers 2.5 chez OVH

                    oui... j'ai tout supprimé à la main comme en local.
                    aussi les tables "jupgrade_".

                    haha... je suis habituée maintenant pour cela car en local aussi cela m'a pris bcp de temps...

                    la base de donnée est donc comme avant migration.

                    Il y a 0 table est inséré pour l'instant, ni 'jnew_" ni "jupgrade_"

                    donc il va falloir que j'annule encore une fois et recommencer??
                    Dernière édition par packmann à 26/06/2013, 16h08

                    Commentaire


                    • #11
                      Re : Migration vers 2.5 chez OVH

                      apparement, c'est pareil...
                      même je croche :
                      Effacer la précédente migration Non

                      et

                      Effacer la précédente migration Oui,

                      J'ai essayé 2 cas, dans 2 cas il s'affiche :

                      [verification]

                      401: jupgrade_categories table not exist


                      J'ai deinstallé jUpgrade du site, et demain, je vais installer encore une nouvelle fois, et essayer migration avec déblocage activé de parametre de jupgrade.

                      Les tables sont comme s'il n'y avait pas de upgrade, j'ai tout effacé les tables "jnew_", "jupgrade_".

                      J'espère que cela posera pas de problème pour jUpgrade...

                      Et si vous avez des sugestion de plus, merci de me signaler!!!

                      Je reviens demain...
                      Dernière édition par packmann à 26/06/2013, 16h21

                      Commentaire


                      • #12
                        Re : Migration vers 2.5 chez OVH

                        Si tu as supprimé les tables "jupgrade_", il te faut réinstaller le composant.
                        "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide). MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info hébergés chez PHPNET - +sites gérés chez 1and1 et OVH - Site pro : www.robertg-conseil.fr

                        Commentaire


                        • #13
                          Re : Migration vers 2.5 chez OVH

                          Bonjour,

                          J'ai reinstallé le jUpgrade, et j'ai lancé migration avec paramètre "débogage activé" à oui.

                          Cela fait presque 1 heure que jUpgrade continue à se mettre au travail de migration (surtout "décompression de l'archive"), mais pour l'instant, il n'y a pas d'erreur qui s'affiche.

                          Cela m'a jamais pris autant de temps pour migration même en local, mais je pense que je dois attendre encore...
                          Dernière édition par packmann à 27/06/2013, 09h46

                          Commentaire


                          • #14
                            Re : Migration vers 2.5 chez OVH

                            Ce n'est pas normal que ça dure autant !
                            La décompression de l'archive sur le serveur ne doit pas prendre deux minutes, à moins que ce serveur soit HS ou particulièrement surchargé.
                            "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide). MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info hébergés chez PHPNET - +sites gérés chez 1and1 et OVH - Site pro : www.robertg-conseil.fr

                            Commentaire


                            • #15
                              Re : Migration vers 2.5 chez OVH

                              Bonjour!

                              J'ai arreté et ouvert une nouvelle fenêtre avec firefox et relancé,
                              cette fois ci, il me dit erreur le moment de "Migration des données Joomla..."!!

                              Warning: mysqli_ping() [function.mysqli-ping]: Couldn't fetch mysqli in /homez.168/www/nouveau_site/libraries/joomla/database/database/mysqli.php on line 190

                              ==========
                              [verification]

                              1

                              ==========
                              [nettoyage]

                              1

                              ==========
                              [decompression]

                              1

                              ==========
                              [installation_config]

                              1

                              ==========
                              [installation_db]



                              ==========
                              [1] [users]



                              ==========
                              [2] [categories
                              Warning: mysqli_ping() [function.mysqli-ping]: Couldn't fetch mysqli in /homez.168/www/nouveau_site/libraries/joomla/database/database/mysqli.php on line 190
                              ]

                              Je choisi "mysql" au lieu de "par default" dans paramètre de jUpgrade??

                              Merci de votre aide!!
                              Dernière édition par packmann à 27/06/2013, 10h00

                              Commentaire

                              Annonce

                              Réduire
                              1 sur 2 < >

                              C'est [Réglé] et on n'en parle plus ?

                              A quoi ça sert ?
                              La mention [Réglé] permet aux visiteurs d'identifier rapidement les messages qui ont trouvé une solution.

                              Merci donc d'utiliser cette fonctionnalité afin de faciliter la navigation et la recherche d'informations de tous sur le forum.

                              Si vous deviez oublier de porter cette mention, nous nous permettrons de le faire à votre place... mais seulement une fois
                              Comment ajouter la mention [Réglé] à votre discussion ?
                              1 - Aller sur votre discussion et éditer votre premier message :


                              2 - Cliquer sur la liste déroulante Préfixe.

                              3 - Choisir le préfixe [Réglé].


                              4 - Et voilà… votre discussion est désormais identifiée comme réglée.

                              2 sur 2 < >

                              Assistance au forum - Outil de publication d'infos de votre site

                              Compatibilité: PHP 4.1,PHP4, 5, 6DEV MySQL 3.2 - 5.5 MySQLi from 4.1 ( @ >=PHP 4.4.9)

                              Support Version de Joomla! : | J!3.0 | J!2.5.xx | J!1.7.xx | J!1.6.xx | J1.5.xx | J!1.0.xx |

                              Version française (FR) D'autres versions sont disponibles depuis la version originale de FPA

                              UTILISER À VOS PROPRES RISQUES :
                              L'exactitude et l'exhaustivité de ce script ainsi que la documentation ne sont pas garanties et aucune responsabilité ne sera acceptée pour tout dommage, questions ou confusion provoquée par l'utilisation de ce script.

                              Problèmes connus :
                              FPA n'est actuellement pas compatible avec des sites Joomla qui ont eu leur fichier configuration.php déplacé en dehors du répertoire public_html.

                              Installation :

                              1. Téléchargez l'archive souhaitée : http://afuj.github.io/FPA/

                              Archive zip : https://github.com/AFUJ/FPA/zipball/master

                              2. Décompressez le fichier de package téléchargé sur votre propre ordinateur (à l'aide de WinZip ou d'un outil de décompression natif).

                              3. Lisez le fichier LISEZMOI inclus pour toutes les notes de versions spécifiques.

                              4. LIRE le fichier de documentation inclus pour obtenir des instructions d'utilisation détaillées.

                              5. Téléchargez le script fpa-fr.php à la racine de votre site Joomla!. C'est l'endroit que vous avez installé Joomla et ce n'est pas la racine principale de votre serveur. Voir les exemples ci-dessous.

                              6. Exécutez le script via votre navigateur en tapant: http:// www. votresite .com/ fpa-fr.php
                              et remplacer www. votresite .com par votre nom de domaine


                              Exemples:
                              Joomla! est installé dans votre répertoire web et vous avez installé la version française du fichier FPA:
                              Télécharger le script fpa-fr.php dans: /public_html/
                              Pour executer le script: http://www..com/fpa-fr.php

                              Joomla! est installé dans un sous-répertoire nommé "cms" et vous avez installé la version française du fichier FPA:
                              Télécharger le script fpa-fr.php dans: /public_html/cms/
                              Pour executer le script: http://www..com/cms/fpa-fr.php

                              En raison de la nature très sensible de l'information affichée par le script FPA, il doit être retiré immédiatement du serveur après son utilisation.

                              Pour supprimer le script de votre site, utilisez le lien de script de suppression fourni en haut de la page du script. Si le lien de suppression échoue pour supprimer le script, utilisez votre programme FTP pour le supprimer manuellement ou changer le nom une fois que le script a généré les données du site et le message publié sur le forum. Si le script est toujours présent sur le site, il peut être utilisé pour recueillir suffisamment d'informations pour pirater votre site. Le retrait du script empêche des étrangers de l'utiliser pour jeter un oeil à la façon dont votre site est structuré et de détecter les défauts qui peuvent être utilisé à vos dépends.
                              Voir plus
                              Voir moins
                              Travaille ...
                              X